ahriman.application.handlers package
====================================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   ahriman.application.handlers.triggers_support
   ahriman.application.handlers.web

Submodules
----------

ahriman.application.handlers.add module
---------------------------------------

.. automodule:: ahriman.application.handlers.add
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.archives module
--------------------------------------------

.. automodule:: ahriman.application.handlers.archives
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.backup module
------------------------------------------

.. automodule:: ahriman.application.handlers.backup
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.change module
------------------------------------------

.. automodule:: ahriman.application.handlers.change
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.clean module
-----------------------------------------

.. automodule:: ahriman.application.handlers.clean
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.copy module
----------------------------------------

.. automodule:: ahriman.application.handlers.copy
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.daemon module
------------------------------------------

.. automodule:: ahriman.application.handlers.daemon
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.dump module
----------------------------------------

.. automodule:: ahriman.application.handlers.dump
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.handler module
-------------------------------------------

.. automodule:: ahriman.application.handlers.handler
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.help module
----------------------------------------

.. automodule:: ahriman.application.handlers.help
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.hold module
----------------------------------------

.. automodule:: ahriman.application.handlers.hold
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.key\_import module
-----------------------------------------------

.. automodule:: ahriman.application.handlers.key_import
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.patch module
-----------------------------------------

.. automodule:: ahriman.application.handlers.patch
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.pkgbuild module
--------------------------------------------

.. automodule:: ahriman.application.handlers.pkgbuild
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.rebuild module
-------------------------------------------

.. automodule:: ahriman.application.handlers.rebuild
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.reload module
------------------------------------------

.. automodule:: ahriman.application.handlers.reload
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.remove module
------------------------------------------

.. automodule:: ahriman.application.handlers.remove
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.remove\_unknown module
---------------------------------------------------

.. automodule:: ahriman.application.handlers.remove_unknown
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.repositories module
------------------------------------------------

.. automodule:: ahriman.application.handlers.repositories
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.restore module
-------------------------------------------

.. automodule:: ahriman.application.handlers.restore
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.rollback module
--------------------------------------------

.. automodule:: ahriman.application.handlers.rollback
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.run module
---------------------------------------

.. automodule:: ahriman.application.handlers.run
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.search module
------------------------------------------

.. automodule:: ahriman.application.handlers.search
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.service\_updates module
----------------------------------------------------

.. automodule:: ahriman.application.handlers.service_updates
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.setup module
-----------------------------------------

.. automodule:: ahriman.application.handlers.setup
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.shell module
-----------------------------------------

.. automodule:: ahriman.application.handlers.shell
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.sign module
----------------------------------------

.. automodule:: ahriman.application.handlers.sign
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.statistics module
----------------------------------------------

.. automodule:: ahriman.application.handlers.statistics
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.status module
------------------------------------------

.. automodule:: ahriman.application.handlers.status
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.status\_update module
--------------------------------------------------

.. automodule:: ahriman.application.handlers.status_update
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.structure module
---------------------------------------------

.. automodule:: ahriman.application.handlers.structure
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.tree\_migrate module
-------------------------------------------------

.. automodule:: ahriman.application.handlers.tree_migrate
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.triggers module
--------------------------------------------

.. automodule:: ahriman.application.handlers.triggers
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.unsafe\_commands module
----------------------------------------------------

.. automodule:: ahriman.application.handlers.unsafe_commands
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.update module
------------------------------------------

.. automodule:: ahriman.application.handlers.update
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.users module
-----------------------------------------

.. automodule:: ahriman.application.handlers.users
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.validate module
--------------------------------------------

.. automodule:: ahriman.application.handlers.validate
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.application.handlers.versions module
--------------------------------------------

.. automodule:: ahriman.application.handlers.versions
   :members:
   :no-undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: ahriman.application.handlers
   :members:
   :no-undoc-members:
   :show-inheritance:
